
import http from '@/http'
export const list = params =>
  http.get('/api/v1/annualPlan/list', { params }) // 年度计划列表
export const defer = data =>
  http.post('/api/v1/annualPlan/suspendAnnualPlan', data) // 年度计划-暂缓
export const projectApprove = data =>
  http.post('/api/v1/annualPlan/projectApproved', data) // 立项批复
export const startDeclare = data =>
  http.post('/api/v1/annualPlan/startProjectDeclared', data) // 年度计划-开启方案申报
export const annualPlanImport = data =>
  http.post('/api/v1/annualPlan/importAnnualPlan', data) // 年度计划-导入
export const exportEditTable = params =>
  http.get('/api/v1/annualPlan/exportAnnualPlanEditTable', { params }) // 年度计划-导出编辑表
export const exportAnnualPlanEditTable = data =>
  http.post('/api/v1/annualPlan/exportModifyList', data, { responseType: 'blob' }) // 导出年度计划库【编辑表|列表】java
export const annualPlanModify = data =>
  http.post('/api/v1/annualPlan/modify', data) // 年度计划-编辑
export const projectExcel = data =>
  http.post('/api/v1/annualPlan/exportList', data, { responseType: 'blob' }) // 项目库导出
